Can't switch PHP Interpreter

Discussion in 'General' started by Qluripax, Nov 29, 2011.

  1. Qluripax

    Qluripax New Member

    I've need to switch PHP intrepreter for an site on one of my servers. Have done this before - it's just to switch in the control panel. But after upgrading to the latest ISPConfig the change of PHP intrepreter don't work (I'm not sure if it's after upgrade to 3.0.4 or to 3.0.4.1 the problem begins).

    Tried to create a new site (after the upgrading of ISPConfig) and the new site "takes" the changes of the PHP Intrepreter but the old sites don't. Because I needed this PHP switch i've created a new site and renamed the old one. But, and here comes the interesting thing, after visiting the options tab at the old site apache caught SIGTERM and shoted down. There where some errors at the options tab but I didn't wrote them down..
    After I've removed the corresponding file in /etc/apache2/sites-enabled apache2 could be started again.

    It's seams that something in the upgrade did not upgrade.. But I've no glue at all where to debug...
     
  2. Petr

    Petr New Member

    Hi,
    I have "same" problem if new registred client on ispc 3.0.4.1. - is not possible set PHP option on Client template . after click save is checked only option PHP Disable.

    From admin access is possible on website tab php option change , but for user access is php tab have only option Disable, and do not way to change.

    PHP Version 5.2.6-1+lenny13

    Petr
     
  3. falko

    falko Super Moderator

    Did you check Apache's error log?
     
  4. till

    till Super Moderator

    Make sure that you logged in as admin and dont switch to the client to change the php interpreter. If a wesite ahs been initially created by the admin and not the client, then the admin is the only user that can change these settings. This protection is available since ISPConfig 3.0.2 or 3.0.3 if I remember correctly, so there was no change in the current ISPConfig release.
     
  5. Petr

    Petr New Member

    Thanks you Till for response.

    My problem was that update on 3.0.4.1 broke the template client. on the client temlate is not selected php interpreter ( selection only a line "php disable").
    I am only edit client template is it fine solution :)

    - Problem SOLVED for Me -

    thx
    Petr
     

Share This Page